Functions
Functions
Graphics » Porting » DC LCD DRV
Collaboration diagram for Functions:

## Functions
void | graphics_dc_rm69330_qspi_lcd_init (lcd_res_e res, lcd_pixel_mode_e pixel_mode, graphics_dc_mipi_format_e mipi_format)
| DC rm69330 qspi lcd init. More...
void | graphics_dc_rm69330_qspi_lcd_test (lcd_res_e res, lcd_pixel_mode_e pixel_mode, app_graphics_dc_frame_timing_e frame_timing, graphics_dc_mipi_format_e mipi_format)
| DC rm69330 lcd test. More...
void | graphics_dc_rm69330_qspi_lcd_set_show_area (uint16_t x1, uint16_t x2, uint16_t y1, uint16_t y2)
| DC rm69330 lcd set show area for qspi output. More...
void | graphics_dc_rm69330_qspi_send_frame (app_graphics_dc_framelayer_t layer0, uint32_t lcd_w, uint32_t lcd_h)
| DC rm69330 lcd send one frame data. More...
void | graphics_dc_st7789_dspi_lcd_init (lcd_res_e res, lcd_pixel_mode_e pixel_mode, graphics_dc_mipi_format_e mipi_format)
| DC rm69330 dspi lcd init. More...
void | graphics_dc_st7789_dspi_lcd_set_show_area (uint16_t x1, uint16_t x2, uint16_t y1, uint16_t y2)
| DC rm69330 lcd set show area for dspi output. More...
void | graphics_dc_rm69330_spi_lcd_init (lcd_res_e res, lcd_pixel_mode_e pixel_mode, graphics_dc_mipi_format_e mipi_format)
| DC rm69330 spi lcd init. More...
void | graphics_dc_rm69330_spi_lcd_set_show_area (uint16_t x1, uint16_t x2, uint16_t y1, uint16_t y2)
| DC rm69330 lcd set show area for spi output. More...
void | graphics_dc_am139_qspi_lcd_init (lcd_res_e res, lcd_pixel_mode_e pixel_mode, graphics_dc_mipi_format_e mipi_format)
| DC fls-amo139 qspi lcd init. More...
void | graphics_dc_am139_qspi_lcd_set_show_area (uint16_t x1, uint16_t x2, uint16_t y1, uint16_t y2)
| DC fls-amo139 lcd set show area for qspi output. More...
void | graphics_dc_am139_qspi_send_frame (app_graphics_dc_framelayer_t layer0, uint32_t lcd_w, uint32_t lcd_h)
| DC fls-amo139 lcd send one frame data. More...

## Detailed Description

## Function Documentation

## ◆ graphics_dc_am139_qspi_lcd_init()

void graphics_dc_am139_qspi_lcd_init | ( | lcd_res_e | res,
|  | lcd_pixel_mode_e | pixel_mode,
|  | graphics_dc_mipi_format_e | mipi_format
| ) |  |

DC fls-amo139 qspi lcd init.

Parameters

  [in] | res | The lcd resolution
  [in] | pixel_mode | The lcd pixel mode
  [in] | mipi_format | The DC output mode

## ◆ graphics_dc_am139_qspi_lcd_set_show_area()

void graphics_dc_am139_qspi_lcd_set_show_area | ( | uint16_t | x1,
|  | uint16_t | x2,
|  | uint16_t | y1,
|  | uint16_t | y2
| ) |  |

DC fls-amo139 lcd set show area for qspi output.

Parameters

  [in] | x1 | The X start
  [in] | x2 | The X end
  [in] | y1 | The Y start
  [in] | y2 | The Y end

## ◆ graphics_dc_am139_qspi_send_frame()

void graphics_dc_am139_qspi_send_frame | ( | app_graphics_dc_framelayer_t | layer0,
|  | uint32_t | lcd_w,
|  | uint32_t | lcd_h
| ) |  |

DC fls-amo139 lcd send one frame data.

Parameters

  [in] | layer0 | The Layer number
  [in] | lcd_w | The W resolution
  [in] | lcd_h | The H resolution

## ◆ graphics_dc_rm69330_qspi_lcd_init()

void graphics_dc_rm69330_qspi_lcd_init | ( | lcd_res_e | res,
|  | lcd_pixel_mode_e | pixel_mode,
|  | graphics_dc_mipi_format_e | mipi_format
| ) |  |

DC rm69330 qspi lcd init.

Parameters

  [in] | res | The lcd resolution
  [in] | pixel_mode | The lcd pixel mode
  [in] | mipi_format | The DC output mode

## ◆ graphics_dc_rm69330_qspi_lcd_set_show_area()

void graphics_dc_rm69330_qspi_lcd_set_show_area | ( | uint16_t | x1,
|  | uint16_t | x2,
|  | uint16_t | y1,
|  | uint16_t | y2
| ) |  |

DC rm69330 lcd set show area for qspi output.

Parameters

  [in] | x1 | The X start
  [in] | x2 | The X end
  [in] | y1 | The Y start
  [in] | y2 | The Y end

## ◆ graphics_dc_rm69330_qspi_lcd_test()

void graphics_dc_rm69330_qspi_lcd_test | ( | lcd_res_e | res,
|  | lcd_pixel_mode_e | pixel_mode,
|  | app_graphics_dc_frame_timing_e | frame_timing,
|  | graphics_dc_mipi_format_e | mipi_format
| ) |  |

DC rm69330 lcd test.

Parameters

  [in] | res | The lcd resolution
  [in] | pixel_mode | The lcd pixel mode
  [in] | frame_timing | The DC output frame timing
  [in] | mipi_format | The DC output mode

## ◆ graphics_dc_rm69330_qspi_send_frame()

void graphics_dc_rm69330_qspi_send_frame | ( | app_graphics_dc_framelayer_t | layer0,
|  | uint32_t | lcd_w,
|  | uint32_t | lcd_h
| ) |  |

DC rm69330 lcd send one frame data.

Parameters

  [in] | layer0 | The Layer number
  [in] | lcd_w | The W resolution
  [in] | lcd_h | The H resolution

## ◆ graphics_dc_rm69330_spi_lcd_init()

void graphics_dc_rm69330_spi_lcd_init | ( | lcd_res_e | res,
|  | lcd_pixel_mode_e | pixel_mode,
|  | graphics_dc_mipi_format_e | mipi_format
| ) |  |

DC rm69330 spi lcd init.

Parameters

  [in] | res | The lcd resolution
  [in] | pixel_mode | The lcd pixel mode
  [in] | mipi_format | The DC output mode

## ◆ graphics_dc_rm69330_spi_lcd_set_show_area()

void graphics_dc_rm69330_spi_lcd_set_show_area | ( | uint16_t | x1,
|  | uint16_t | x2,
|  | uint16_t | y1,
|  | uint16_t | y2
| ) |  |

DC rm69330 lcd set show area for spi output.

Parameters

  [in] | x1 | The X start
  [in] | x2 | The X end
  [in] | y1 | The Y start
  [in] | y2 | The Y end

## ◆ graphics_dc_st7789_dspi_lcd_init()

void graphics_dc_st7789_dspi_lcd_init | ( | lcd_res_e | res,
|  | lcd_pixel_mode_e | pixel_mode,
|  | graphics_dc_mipi_format_e | mipi_format
| ) |  |

DC rm69330 dspi lcd init.

Parameters

  [in] | res | The lcd resolution
  [in] | pixel_mode | The lcd pixel mode
  [in] | mipi_format | The DC output mode

## ◆ graphics_dc_st7789_dspi_lcd_set_show_area()

void graphics_dc_st7789_dspi_lcd_set_show_area | ( | uint16_t | x1,
|  | uint16_t | x2,
|  | uint16_t | y1,
|  | uint16_t | y2
| ) |  |

DC rm69330 lcd set show area for dspi output.

Parameters

  [in] | x1 | The X start
  [in] | x2 | The X end
  [in] | y1 | The Y start
  [in] | y2 | The Y end